#!/bin/bash -e

function log() {
	echo 1>&2 "${@}"
}

function usage() {
	log 'Usage:'
	log -e "\t$0 <path-to-japi-compliance-checker-folder> <path-to-eap-7.1> <path-to-lucene-5.5.5-jars>"
	exit 1
}

if (( $# != 3 ))
then
	usage
fi

DATA_DIR=$(readlink -f ${BASH_SOURCE[0]} | xargs dirname)

CHECKER="$1/japi-compliance-checker.pl"
EAP="$2"
LUCENE_5_5_5="$3"

perl "$CHECKER" \
	-skip-packages "$DATA_DIR/skip-packages.txt" -skip-classes "$DATA_DIR/skip-classes.txt" \
	-lib hibernate-search-lucene \
	-old <(sed "s,/path-to-eap,$EAP,g" "$DATA_DIR/5.3.1.redhat-2.xml") \
	-new <(sed "s,/path-to,$LUCENE_5_5_5,g" "$DATA_DIR/5.5.5.xml") \
	-report-path report-skip-selected.html

